# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'MembershipFee.date'
        db.delete_column(u'members_membershipfee', 'date')

        # Adding field 'MembershipFee.start_date'
        db.add_column(u'members_membershipfee', 'start_date',
                      self.gf('django.db.models.fields.DateField')(default=datetime.date.today),
                      keep_default=False)

        # Adding field 'MembershipFee.end_date'
        db.add_column(u'members_membershipfee', 'end_date',
                      self.gf('django.db.models.fields.DateField')(default=datetime.datetime(2014, 11, 9, 0, 0)),
                      keep_default=False)


    def backwards(self, orm):
        # Adding field 'MembershipFee.date'
        db.add_column(u'members_membershipfee', 'date',
                      self.gf('django.db.models.fields.DateField')(default='2011-07-04'),
                      keep_default=False)

        # Deleting field 'MembershipFee.start_date'
        db.delete_column(u'members_membershipfee', 'start_date')

        # Deleting field 'MembershipFee.end_date'
        db.delete_column(u'members_membershipfee', 'end_date')


    models = {
        u'members.cryptokey': {
            'Meta': {'object_name': 'CryptoKey'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.TextField', [], {}),
            'member': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['members.Member']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'members.ldapuser': {
            'Meta': {'object_name': 'LdapUser', 'managed': 'False'},
            'dn': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        u'members.member': {
            'Meta': {'object_name': 'Member'},
            'address': ('django.db.models.fields.TextField', [], {}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'entry_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'home_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'ldap_cn': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'mobile_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            'organization_name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'postal_code': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'resign_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'non_adherent'", 'max_length': '50'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'personne_physique'", 'max_length': '20'})
        },
        u'members.membershipfee': {
            'Meta': {'object_name': 'MembershipFee'},
            'amount': ('django.db.models.fields.IntegerField', [], {'default': "'20'"}),
            'end_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2014, 11, 9, 0, 0)'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'member': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['members.Member']"}),
            'start_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'})
        }
    }

    complete_apps = ['members']